function gadget:GetInfo()
   return {
      name         = "GameStartUnits Placer",
      desc         = "Places Metal spots",
      author       = "Doo",
      date         = "26/04/2016",
      license      = "GPL 2.0 or later", -- should be compatible with Spring
      layer        = 0,
      enabled      = true
   }
end


if (gadgetHandler:IsSyncedCode()) then  --Sync
msx = {}
msz = {}
msx[0]= 760
msz[0]= 1900
msx[1]= 760
msz[1]= 2640
msx[2]= 1536
msz[2]= 3300
msx[3]= 1790
msz[3]= 1100
msx[4]= 3500
msz[4]= 1100
msx[5]= 3650
msz[5]= 3600
msx[6]= 3900
msz[6]= 2450
msx[7]= 4800
msz[7]= 1650
msx[8]= 4700
msz[8]= 2600
msx[9]= 4800
msz[9]= 1150
for i = 10,19 do
msx[i] = 10240 - msx[i-10]
msz[i] = msz[i-10]
end

function CreateUnit(unitName, x,z)
Spring.CreateUnit(unitName, x,Spring.GetGroundHeight(x, z), z,0,0, false, false)
Spring.CreateUnit(unitName, 10240 - x,Spring.GetGroundHeight(10240-x, z), z,0,1, false, false)
end

function gadget:Initialize()
for i = 0,5 do
Spring.CreateUnit("ai_mex", msx[i]+16,Spring.GetGroundHeight(msx[i]+16, msz[i]+16), msz[i]+16,0,0, false, false)
end
for i = 10,15 do
Spring.CreateUnit("ai_mex", msx[i]-16,Spring.GetGroundHeight(msx[i]-16, msz[i]+16), msz[i]+16,0,1, false, false)
end
Spring.CreateUnit("ai_healingaura", 760,Spring.GetGroundHeight(760, 2200), 2200,0,0, false, false)
Spring.CreateUnit("ai_healingaura", 10240-760,Spring.GetGroundHeight(10240-760, 2200), 2200,0,1, false, false)
CreateUnit("armllt",3800,1050)
CreateUnit("armllt",3600,1350)
CreateUnit("armllt",3870,3735)
CreateUnit("armllt",3830,3475)
CreateUnit("corhlt",3680,1200)
CreateUnit("corhlt",3800,3600)
CreateUnit("cordoom",2300,860)
CreateUnit("cordoom",2300,3670)
CreateUnit("cordoom",2200,2400)
CreateUnit("cordoom",2200,2000)
CreateUnit("armarad",3500,3640)
CreateUnit("armarad",3370,1110)
CreateUnit("corflak",3070,1370)
CreateUnit("corflak",3050,1740)
CreateUnit("armflak",3200,2170)
CreateUnit("armflak",3040,2660)
CreateUnit("armflak",2720,2950)
CreateUnit("armflak",2260,3250)
CreateUnit("corvipe",1470,2300)
CreateUnit("armpb",1470,2100)
CreateUnit("corbhmth",3500,2400)
CreateUnit("armamd",1400,2200)

gaia = Spring.GetGaiaTeamID()
orcone = Spring.CreateUnit("orcone", 5120,Spring.GetGroundHeight(5120, 2480), 2480,0,gaia, false, false)
Spring.GiveOrderToUnit(orcone, CMD.INSERT, {0, CMD.FIRE_STATE, CMD.OPT_SHIFT,1},{"alt"})

end



end